{% extends 'blog/header_footer.html' %}
{% load static %}
{% load wagtailcore_tags %}


	{% block content %}

	{% include 'blog/optimize_header.html' %}
	
	<div class="container">
	<div class="row">
		{% if category %}
    <h4>{{ category }}</h4>
    {% endif %}
    {% if tag %}
    <h4>Posts tagged with '{{ tag }}'</h4>
    {% endif %}

    {% for rl in self.related_links.all %}
        <p>{{ rl.title }}: <a href='{{ rl.link_page.url }}'>{{ rl.link_page }}</a></p>
    {% endfor %}
	</div>
	</div>
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
		{% if blogs %}
        {% for blog in blogs %}
                {% include 'blog/blog_post.html' with include_context="index_page" %}
				<hr>
		{% endfor %}
        
        <ul class="pager">
        {% if blogs.has_next %}
          <li class="previous"><a href="?page={{ blogs.next_page_number }}{% for key,value in request.GET.items %}{% ifnotequal key 'page' %}&amp;{{ key }}={{ value }}{% endifnotequal %}{% endfor %}">&larr; Older</a></li>
        {% endif %}
        {% if blogs.has_previous %}
          <li class="next"><a href="?page={{ blogs.previous_page_number }}{% for key,value in request.GET.items %}{% ifnotequal key 'page' %}&amp;{{ key }}={{ value }}{% endifnotequal %}{% endfor %}">Newer &rarr;</a></li>
        {% endif %}
        </ul>
		{% else %}
        <p>There are currently no blog posts</p>
		{% endif %}
		
            </div>
        </div>

    </div>
	
	{% endblock %}
